Bug 526015 - Unreliably Detect Bluetooth USB Dongle
Summary: Unreliably Detect Bluetooth USB Dongle
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 12
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-28 11:11 UTC by Qian Cai
Modified: 2010-12-04 07:37 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-04 07:37:33 UTC


Attachments (Terms of Use)

Description Qian Cai 2009-09-28 11:11:05 UTC
Description of problem:
It can unable to detect bluetooth USB dongle with the following messages,

# dmesg
btusb_intr_complete: hci0 urb ffff880090556318 failed to resubmit (19)
btusb_bulk_complete: hci0 urb ffff880090556000 failed to resubmit (19)
btusb_bulk_complete: hci0 urb ffff880090557080 failed to resubmit (19)
btusb_send_frame: hci0 urb ffff88009dcae318 submission failed
usb 5-1: new full speed USB device using uhci_hcd and address 5
usb 5-1: New USB device found, idVendor=0a12, idProduct=0001
usb 5-1: New USB device strings: Mfr=0, Product=0, SerialNumber=0
usb 5-1: configuration #1 chosen from 1 choice

# tail /var/log/messages
Sep 28 19:06:33 localhost kernel: usb 5-1: new full speed USB device using uhci_hcd and address 12
Sep 28 19:06:33 localhost kernel: usb 5-1: New USB device found, idVendor=0a12, idProduct=0001
Sep 28 19:06:33 localhost kernel: usb 5-1: New USB device strings: Mfr=0, Product=0, SerialNumber=0
Sep 28 19:06:33 localhost kernel: usb 5-1: configuration #1 chosen from 1 choice
Sep 28 19:06:33 localhost bluetoothd[2976]: HCI dev 0 registered
Sep 28 19:06:33 localhost bluetoothd[2976]: HCI dev 0 up
Sep 28 19:06:33 localhost bluetoothd[2976]: Starting security manager 0
Sep 28 19:06:38 localhost bluetoothd[2976]: Can't read version info for /org/bluez/2975/hci0: Connection timed out (110)
Sep 28 19:06:55 localhost kernel: bluetoothd[2976]: segfault at 7f8a0c5035a0 ip 00007f8909705a8c sp 00007fff7c5cfc30 error 4 in libc-2.10.90.so[7f8909690000+176000]
Sep 28 19:06:55 localhost abrtd: Directory 'ccpp-1254136015-2976' creation detected
Sep 28 19:06:55 localhost abrtd: Lock file '/var/cache/abrt/ccpp-1254136015-2976.lock' is locked by process 2991
Sep 28 19:06:55 localhost abrt: saved core dump of pid 2976 to /var/cache/abrt/ccpp-1254136015-2976/coredump
Sep 28 19:06:55 localhost abrtd: Getting local universal unique identification...
Sep 28 19:06:55 localhost abrtd: Crash is in database already
Sep 28 19:06:55 localhost abrtd: Already saved crash, deleting...

Then,gnome-bluetooth shows the bluetooth is unavailable, and there is no bluetooth icon in the system tray.

Version-Release number of selected component (if applicable):
kernel-2.6.31-40.fc12.x86_64
gnome-bluetooth-2.28.0-1.fc12.x86_64

How reproducible:
Usually

Steps to Reproduce:
1. insert bluetooth USB dongle
  
Actual results:
Failed to detect the device.

Expected results:
Successfully detect the device.

Comment 1 Qian Cai 2009-09-28 11:12:25 UTC
# lspci
...
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #1 (rev 01)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #2 (rev 01)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #3 (rev 01)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #4 (rev 01)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller (rev 01)
...

Comment 2 Qian Cai 2009-09-28 11:25:55 UTC
bluez-4.54-1.fc12.x86_64
bluez-libs-4.54-1.fc12.x86_64

Comment 3 Bug Zapper 2009-11-16 13:01:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Pete Zaitcev 2009-12-04 19:37:04 UTC
The timeout might have precipitated the crash in bluetoothd, but the crash
must be addressed too. If this still happens we might need to move the
bug over the fence to bluez at least temporarily, so Marcel or whoever is
responsible is at least informed about this.

Quian, how reproducible is this?

Comment 5 Adam Williamson 2010-01-15 18:46:55 UTC
I have the same USB bluetooth dongle and it doesn't work right here either.

Up to F12, the Bluetooth icon appeared when it was plugged in, but doing 'hcitool scan' returned instantly with no devices found (it didn't actually seem to scan).

With Rawhide, it doesn't return instantly, but still doesn't find anything. The red light on the front of the device is on when it's first plugged in, but quite soon goes off and never comes back on.

/var/log/messages shows:

Jan 15 10:46:16 adam kernel: usb 3-2: new full speed USB device using uhci_hcd and address 5
Jan 15 10:46:16 adam kernel: usb 3-2: New USB device found, idVendor=0a12, idProduct=0001
Jan 15 10:46:16 adam kernel: usb 3-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Jan 15 10:46:16 adam kernel: usb 3-2: Product: Bluetooth V2.0 Dongle
Jan 15 10:46:16 adam kernel: usb 3-2: Manufacturer: Bluetooth v2.0
Jan 15 10:46:16 adam kernel: usb 3-2: configuration #1 chosen from 1 choice
Jan 15 10:46:16 adam bluetoothd[16835]: HCI dev 0 registered
Jan 15 10:46:16 adam libvirtd: 10:46:16.850: error : udevStrToLong_ui:73 : Failed to convert 'e0' to unsigned int#012
Jan 15 10:46:16 adam libvirtd: 10:46:16.852: error : udevStrToLong_ui:73 : Failed to convert 'e0' to unsigned int#012
Jan 15 10:46:16 adam bluetoothd[16835]: HCI dev 0 up
Jan 15 10:46:16 adam bluetoothd[16835]: Starting security manager 0
Jan 15 10:46:16 adam libvirtd: 10:46:16.856: error : udevStrToLong_ui:73 : Failed to convert 'fe' to unsigned int#012
Jan 15 10:46:16 adam libvirtd: 10:46:16.857: error : udevStrToLong_ui:73 : Failed to convert 'ff' to unsigned int#012
Jan 15 10:46:16 adam bluetoothd[16835]: Parsing /etc/bluetooth/serial.conf failed: No such file or directory
Jan 15 10:46:16 adam bluetoothd[16835]: Adapter /org/bluez/16834/hci0 has been enabled
Jan 15 10:46:19 adam kernel: btusb_intr_complete: hci0 urb ffff8800ca5379c8 failed to resubmit (1)
Jan 15 10:46:19 adam kernel: btusb_bulk_complete: hci0 urb ffff8800ca536630 failed to resubmit (1)
Jan 15 10:46:19 adam kernel: btusb_bulk_complete: hci0 urb ffff8800ca536e70 failed to resubmit (1)

The 'failed to resubmit' errors occur exactly as the light goes out on the device. This is 100% reproducible, happens every time I plug in the dongle.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 6 bugzilla 2010-10-01 08:24:34 UTC
Hi there,

unfortunately I'm also experiencing this bug.
After plugging in the USB Dongle the device is being showed to be working properly for less than a minute and then is not shown as connected anymore.
A workaround or even a solution for this would be very much appreciated. 
Let me know if I can be of any assistance on this case (bugzilla@fireinmysoul.com). Thanks!


dmesg
usb 5-1: new full speed USB device using uhci_hcd and address 2
usb 5-1: New USB device found, idVendor=0a12, idProduct=0001
usb 5-1: New USB device strings: Mfr=0, Product=2, SerialNumber=0
usb 5-1: Product: BT2.0
Bluetooth: Core ver 2.15
NET: Registered protocol family 31
Bluetooth: HCI device and connection manager initialized
Bluetooth: HCI socket layer initialized
Bluetooth: Generic Bluetooth USB driver ver 0.6
usbcore: registered new interface driver btusb
Bluetooth: L2CAP ver 2.14
Bluetooth: L2CAP socket layer initialized
Bluetooth: BNEP (Ethernet Emulation) ver 1.3
Bluetooth: BNEP filters: protocol multicast
Bridge firewalling registered
Bluetooth: SCO (Voice Link) ver 0.6
Bluetooth: SCO socket layer initialized
Bluetooth: RFCOMM TTY layer initialized
Bluetooth: RFCOMM socket layer initialized
Bluetooth: RFCOMM ver 1.11
usb 3-1: USB disconnect, address 4
rndis_host 3-1:1.0: eth1: unregister 'rndis_host' usb-0000:00:1a.0-1, RNDIS device
usb 5-1: USB disconnect, address 2
btusb_intr_complete: hci0 urb c8664100 failed to resubmit (19)
btusb_bulk_complete: hci0 urb c8664180 failed to resubmit (19)
btusb_bulk_complete: hci0 urb c8664c80 failed to resubmit (19)
btusb_send_frame: hci0 urb f41fd100 submission failed


/var/log/messages:

Oct  1 10:04:37 fc13 kernel: usb 5-1: USB disconnect, address 2
Oct  1 10:04:37 fc13 kernel: btusb_intr_complete: hci0 urb c8664100 failed to resubmit (19)
Oct  1 10:04:37 fc13 kernel: btusb_bulk_complete: hci0 urb c8664180 failed to resubmit (19)
Oct  1 10:04:37 fc13 kernel: btusb_bulk_complete: hci0 urb c8664c80 failed to resubmit (19)
Oct  1 10:04:37 fc13 bluetoothd[5774]: HCI dev 0 down
Oct  1 10:04:37 fc13 kernel: btusb_send_frame: hci0 urb f41fd100 submission failed
Oct  1 10:04:37 fc13 bluetoothd[5774]: Adapter /org/bluez/5772/hci0 has been disabled
Oct  1 10:04:37 fc13 bluetoothd[5774]: Stopping security manager 0
Oct  1 10:04:38 fc13 bluetoothd[5774]: HCI dev 0 unregistered
Oct  1 10:04:38 fc13 bluetoothd[5774]: Unregister path: /org/bluez/5772/hc

Comment 7 bugzilla 2010-10-01 08:44:18 UTC

(In reply to comment #6)
forgot to add this (I believe essential) information:

Kernel 2.6.34.7-56.fc13.i686.PAE #1 SMP Wed Sep 15 03:27:15 UTC 2010 i686 i686 i386 GNU/Linux

modinfo btusb ===> Generic Bluetooth USB driver ver 0.6
modinfo rfcomm ==> Bluetooth RFCOMM ver 1.11
modinfo l2cap ===> Bluetooth L2CAP ver 2.14
modinfo bluetooth ===> Bluetooth Core ver 2.15
modinfo sco =====> Bluetooth SCO ver 0.6

> Hi there,
> 
> unfortunately I'm also experiencing this bug.
> After plugging in the USB Dongle the device is being showed to be working
> properly for less than a minute and then is not shown as connected anymore.
> A workaround or even a solution for this would be very much appreciated. 
> Let me know if I can be of any assistance on this case
> (bugzilla@fireinmysoul.com). Thanks!
> 
> 
> dmesg
> usb 5-1: new full speed USB device using uhci_hcd and address 2
> usb 5-1: New USB device found, idVendor=0a12, idProduct=0001
> usb 5-1: New USB device strings: Mfr=0, Product=2, SerialNumber=0
> usb 5-1: Product: BT2.0
> Bluetooth: Core ver 2.15
> NET: Registered protocol family 31
> Bluetooth: HCI device and connection manager initialized
> Bluetooth: HCI socket layer initialized
> Bluetooth: Generic Bluetooth USB driver ver 0.6
> usbcore: registered new interface driver btusb
> Bluetooth: L2CAP ver 2.14
> Bluetooth: L2CAP socket layer initialized
> Bluetooth: BNEP (Ethernet Emulation) ver 1.3
> Bluetooth: BNEP filters: protocol multicast
> Bridge firewalling registered
> Bluetooth: SCO (Voice Link) ver 0.6
> Bluetooth: SCO socket layer initialized
> Bluetooth: RFCOMM TTY layer initialized
> Bluetooth: RFCOMM socket layer initialized
> Bluetooth: RFCOMM ver 1.11
> usb 3-1: USB disconnect, address 4
> rndis_host 3-1:1.0: eth1: unregister 'rndis_host' usb-0000:00:1a.0-1, RNDIS
> device
> usb 5-1: USB disconnect, address 2
> btusb_intr_complete: hci0 urb c8664100 failed to resubmit (19)
> btusb_bulk_complete: hci0 urb c8664180 failed to resubmit (19)
> btusb_bulk_complete: hci0 urb c8664c80 failed to resubmit (19)
> btusb_send_frame: hci0 urb f41fd100 submission failed
> 
> 
> /var/log/messages:
> 
> Oct  1 10:04:37 fc13 kernel: usb 5-1: USB disconnect, address 2
> Oct  1 10:04:37 fc13 kernel: btusb_intr_complete: hci0 urb c8664100 failed to
> resubmit (19)
> Oct  1 10:04:37 fc13 kernel: btusb_bulk_complete: hci0 urb c8664180 failed to
> resubmit (19)
> Oct  1 10:04:37 fc13 kernel: btusb_bulk_complete: hci0 urb c8664c80 failed to
> resubmit (19)
> Oct  1 10:04:37 fc13 bluetoothd[5774]: HCI dev 0 down
> Oct  1 10:04:37 fc13 kernel: btusb_send_frame: hci0 urb f41fd100 submission
> failed
> Oct  1 10:04:37 fc13 bluetoothd[5774]: Adapter /org/bluez/5772/hci0 has been
> disabled
> Oct  1 10:04:37 fc13 bluetoothd[5774]: Stopping security manager 0
> Oct  1 10:04:38 fc13 bluetoothd[5774]: HCI dev 0 unregistered
> Oct  1 10:04:38 fc13 bluetoothd[5774]: Unregister path: /org/bluez/5772/hc

Comment 8 Bug Zapper 2010-11-04 09:47:21 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2010-12-04 07:37:33 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.